Album: Blue Room
Date: February 5, 2020
Date Added: July 20, 2025
Artists:
- Pascal van den Bos
- Edward Esser
Cover Artists:
- Zorah Lagerwerf (picture)
- Pascal van den Bos (editing)
Art Tags:
- Pascal van den Bos
Cover Art File Extension: jpg
URLs:
- https://potatoboss.bandcamp.com/album/blue-room
Color: '#4245fc'
Groups:
- Pascal van den Bos
- Beyond
Commentary: |-
    <i>Pascal van den Bos:</i> ([Bandcamp download blurb](https://potatoboss.bandcamp.com/album/blue-room))

    IT'S BLUE
Crediting Sources: |-
    @@ [Bandcamp credits blurb](https://potatoboss.bandcamp.com/album/blue-room), excerpt

    Cover art:<br>
    Picture by: [[artist:zorah-lagerwerf]]

    Editing by: [[artist:pascal-van-den-bos]]
---
Track: Blue Room
Duration: 2:12
Contributors:
- Pascal van den Bos (drums, sub, harp, synths, mixing)
- Edward Esser (vocals, piano, bass)
URLs:
- https://potatoboss.bandcamp.com/track/blue-room
Lyrics: |-
    @@ [artist's lyrics](https://potatoboss.bandcamp.com/track/blue-room)

    It's blue, blue in your room.
    The lights are purple but that's the truth, it's blue.
    It's blue, blue in your room.
    The lights are purple but that's the truth, it's blue.

    We're smoking, we're lighting, it won't set fire, it's blue.
    Cause blue is what we desire.
    We're smoking, we're lighting, it won't set fire, it's blue.
    Cause blue is what we desire.

    Blue.
    It's Blue.

    It's blue, blue in your room.
    The lights are purple but that's the truth, it's blue.

    We're smoking, we're lighting, it won't set fire, it's blue.
    Cause blue is what we desire.
    We're smoking, we're lighting, it won't set fire, it's blue.
    Cause blue is what we desire.

    Huh, waar is het laatste akkoordje, DANGIT.

    <i>[[artist:jebb]], [[artist:quasar-nebula|Lan]]:</i> (wiki lyrics)

    It's blue, blue in your room
    The lights are purple but that's the truth, it's blue
    It's blue, blue in your room
    The lights are purple but that's the truth, it's blue

    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire
    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire

    Blue
    It's blue

    It's blue, blue in your room
    The lights are purple but that's the truth, it's blue

    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire
    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire

    (Huh, waar is het laatste akkoordje, DANGIT)
Crediting Sources: |-
    @@ [Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/blue-room)

    Vocals, Piano & Bass by: [[artist:edward-esser]]

    Drums, Sub, Harp, Synths & Mixing by: [[artist:pascal-van-den-bos]]
---
Track: Got No Clue
Duration: 2:04
Contributors:
- Pascal van den Bos (drums, bass, horns, strings, saxophone, mixing)
- Edward Esser (vocals, piano)
- Zorah Lagerwerf (vocals)
URLs:
- https://potatoboss.bandcamp.com/track/got-no-clue
Lyrics: |-
    @@ [artist's lyrics](https://potatoboss.bandcamp.com/track/got-no-clue)

    I really wanna know, what the fabric of your skin looks like.
    But i can't tell so i must decide, on my own, yeah, yeah.

    You make me sweaty and so nervous, gotta admit i am so curious.
    For your skin, let me in, for your skin, let me in, for your skin.

    I got no clue, it makes me crazy.
    What should i do, don't make me haste it.
    It should be right, up all night.
    But first i gotta know what your skin looks like girl.

    I really wanna know, how it feels to hold you close to me.
    But i can't tell cause you keep walking, away, yeah, yeah.

    You make me sweaty and so nervous, gotta admit i am so curious.
    For your skin, let me in, for your skin, let me in, for your skin.

    I got no clue, it makes me crazy.
    What should i do, don't make me haste it.
    It should be right, up all night.
    But first i gotta know what your skin looks like girl.

    <i>[[artist:jebb]], [[artist:quasar-nebula|Lan]]:</i> (wiki lyrics)

    Oh, oh

    I really wanna know, what the fabric of your skin looks like
    But I can't tell so I must decide, on my own, yeah, yeah

    You make me sweaty and so nervous, gotta admit I am so curious
    For your skin, let me in, for your skin, let me in, for your skin
    Oh, oh

    I got no clue, it makes me crazy
    What should I do, don't make me haste it
    It should be right, up all night
    But first I gotta know what your skin looks like girl

    I really wanna know, how it feels to hold you close to me
    But I can't tell cause you keep walking, away, yeah, yeah

    You make me sweaty and so nervous, gotta admit I am so curious
    For your skin, let me in, for your skin, let me in, for your skin
    Oh, oh

    I got no clue, it makes me crazy
    What should I do, don't make me haste it
    It should be right, up all night
    But first I gotta know what your skin looks like girl
Crediting Sources: |-
    @@ [Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/got-no-clue)

    Drums, Bass, Horns, Strings, Saxophone & Mixing by: [[artist:pascal-van-den-bos]]

    Vocals & Piano by: [[artist:edward-esser]]

    Vocals: [[artist:zorah-lagerwerf]]
---
Track: On My Mind
Duration: 2:18
Contributors:
- Pascal van den Bos (synths, bass, drums, strings, oboe, saxophone, glockenspiel, mixing)
- Edward Esser (piano, vocals)
Sampled Tracks:
- Rock Your Baby
URLs:
- https://potatoboss.bandcamp.com/track/on-my-mind
Lyrics: |-
    @@ [artist's lyrics](https://potatoboss.bandcamp.com/track/on-my-mind)

    Oh baby, you gotta know how much you mean to me i gotta tell you, yeah i know but first i wanna take it slow.

    Yeah you know want i want you to do.

    Yeah you know want i want from you.

    I just want your loving now, i just want your loving now i want you everyday, please dont go away i want you in my life.

    Cause girl you’re on my mind on my mind yeah i want you every day, please dont go away i want you in my life.

    <i>[[artist:jebb]], [[artist:quasar-nebula|Lan]]:</i> (wiki lyrics)

    Oh baby, you gotta know
    How much you mean to me
    I gotta tell you, yeah I know
    But first I wanna take it slow

    Yeah you know want I want you to do
    Yeah you know want I want from you

    I just want your loving now
    I just want your loving now
    I want you everyday, please don't go away
    I want you in my life

    I just want your loving now
    I just want your loving now
    I want you everyday, please don't go away
    I want you in my life

    Cause girl you're on my mind
    On my mind, yeah
    I want you every day, please don't go away
    I want you in my life
Crediting Sources: |-
    @@ [Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/on-my-mind), excerpt

    Piano & Vocals by: [[artist:edward-esser]]

    Synths, Bass, Drums, Strings, Oboe, Saxophone, Glockenspiel & Mixing by: [[artist:pascal-van-den-bos]]
Referencing Sources: |-
    @@ [Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/on-my-mind), excerpt

    [[Rock Your Baby]] by: [[artist:george-mccrae]]
